curl --request DELETE \
--url https://api.nebius.cloud/ai/v1/devlabs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/ai/v1/devlabs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/ai/v1/devlabs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"description": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"progressData": {
"@type": "<string>"
},
"progressTracker": {
"description": "<string>",
"estimatedFinishedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"description": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"workDone": {
"doneTickCount": "<string>",
"totalTickCount": "<string>"
}
}
],
"workDone": {
"doneTickCount": "<string>",
"totalTickCount": "<string>"
}
},
"request": {
"@type": "<string>"
},
"requestHeaders": {},
"resourceId": "<string>",
"status": {
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}
}Delete
Deletes a Devlab.
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
The ID of the Devlab to delete.
Response
A successful response.
Creation timestamp.
ID of the user or service account who initiated the operation.
Human-readable description of the operation. 0-256 characters long.
The time when the operation has finished.
ID of the operation.
Extra information about this operation's progress. MAY be absent while the operation is running, MUST be absent after the operation has completed.
Type of message that's stored inside [progress_data] is service-dependent.
Show child attributes
Show child attributes
Information about this operation's progress, if this operation tracks its progress.
If the operation tracks its progress, progress_tracker MUST be present both while
the operation is running and after it has been completed.
Show child attributes
Show child attributes
The request that generated this operation.
Show child attributes
Show child attributes
The request headers that are essential for the request that generated the operation.
For instance, x-resetmask. Without these headers the request might have been processed
differently if repeated.
All the header names must be converted to lower case.
Validator is based on:
https://httpwg.org/specs/rfc9110.html#considerations.for.new.field.names
Show child attributes
Show child attributes
ID of the resource that this operation creates, updates, deletes or otherwise changes.
If the operation affects multiple resources or does not affect any API resources at all (e.g. a routine maintenance operation visible to the user), the [resource_id] must be empty.
The status of this operation. Set when this operation is completed. See https://github.com/grpc/grpc/blob/master/src/proto/grpc/status/status.proto.
[status.code] is https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto:
- If [status.code] == OK, the operation has completed successfully.
- If [status.code] != OK, the operation has failed or has been cancelled.
- [status.message] will contain a user-readable and actionable error message.
- [status.details] will contain additional diagnostic information in the form of [ServiceError] from nebius/common/v1/error.proto
- [status.code] must belong to an Operation-compatible subset of GRPC codes: OK, CANCELLED, PERMISSION_DENIED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, INTERNAL
Show child attributes
Show child attributes
Was this page helpful?